%define dist Memoize
Name: perl-%dist
Version: 1.01
Release: alt2.1

Summary: Perl functions speedup by caching return values
License: GPL or Artistic
Group: Development/Perl

URL: %CPAN %dist
Source0: %dist-%version.tar.bz2
Source1: %dist-ExpireLRU-0.55.tar.bz2

BuildArch: noarch

# formerly enbundeled...
Requires: perl-DBM >= 1:5.8.4

# Automatically added by buildreq on Mon May 17 2004
BuildRequires: perl-DBM perl-Storable perl-devel

%description
`Memoizing' a function makes it faster by trading space for time.
It does this by caching the return values of the function in a table.
If you call the function again with the same arguments, C<memoize>
jumps in and gives you the value out of the table, instead of letting
the function compute the value all over again.

%prep
%setup -q -n %dist-%version -a1

# ExpireLRU
%__ln_s %dist-ExpireLRU-*/README README.LRU
%__ln_s %dist-ExpireLRU-*/Changes Changes.LRU

# fix syntax (AutoLoader) so that B::Deparse works
%__subst -p 's/^1;$/sub ShowStats;\n&/' %dist-ExpireLRU-*/ExpireLRU.pm

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%perl_vendor_privlib/Memoize*
%perl_vendor_privlib/auto/Memoize*
%perl_vendor_man3dir/Memoize*
%doc README* Change* TODO *.html

%changelog
* Sat Feb 19 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.01-alt2.1
- Rebuilt with rpm-build-perl-0.5.1.

* Mon May 17 2004 Alexey Tourbin <at@altlinux.ru> 1.01-alt2
- BuildArch: noarch
- fixed typos (RLU -> LRU)

* Mon Apr 19 2004 Alexey Tourbin <at@altlinux.ru> 1.01-alt1
- initial revision, an offspring of perl-DBM
- packaged %dist-ExpireLRU-0.55 (laziness is virtue)
